package com.rshy.project.hy.baseRe;

import lombok.Getter;

/**
 * @author dxy
 * @description: 返回值代码枚举值
 * @date 2021/4/5 16:48
 */
@Getter
public enum ResultCode implements ErrorCode {

    // 成功
    SUCCESS(1, "操作成功"),
    // 后台系统层面错误 1 开头
    //   通用失败代码
    FAIL(10000, "操作失败"),
    //   参数校验失败
    VALIDATE_FAILED(10001, "参数检验失败"),
    //   参数校验失败
    DUPLICATE(10002, "该条记录已存在"),
    //   身份证号码无效
    INVALID_ID_NUMBER(10001, "身份证号码无效"),
    //   缺少参数 photo
    MISSING_PARAMETER_PHOTO(10002, "缺少photo参数"),
    REPEAT_SUBMIT(10100,"重复提交"),
    // 用户层面错误 2 开头
    //   登录过期
    UNAUTHORIZED(20001, "暂未登录或token已经过期"),
    //   无权限
    FORBIDDEN(20002, "没有相关权限"),
    //
    AUTH_FAILED(99999, "未获取到您的店铺信息，可以到【店铺后台->服务市场->服务授权管理】页面中点击【去使用】重新获取信息"),
    //   提示注册
    AUTH_SUCCESS(30001, "授权成功"),
    //   提示注册
    BIND_SUCCESS(30004, "公司授权绑定成功"),
    //   注册成功
    REGISTER_SUCCESS(30002, "注册成功，请前往登录页登录"),
    //   登录失败
    LOGIN_FAILED(30009, "手机号或密码错误,请重试"),
    //   登录成功
    LOGIN_SUCCESS(30000, "登陆成功"),
    //   退出成功
    LOGOUT_SUCCESS(30003, "退出成功"),
    //   token失效
    TOKEN_FAILED(30005, "当前授权已过期,请重新登录"),
    //规则组名称有存在
    RULE_GROUP_NOTNULL(30006, "当前客户下的规则组已存在"),
    //规则组下存在主播
    RULE_GROUP_ANCHOR_NOTNULL(30007, "该方案存在关联成员,请解除关联后再删除"),
    //规则组不存在
    RULE_GROUP_ISNULL(30008, "当前规则组不存在");

    private Integer errCode;
    private String errMsg;

    ResultCode(Integer errCode, String errMsg) {
        this.errCode = errCode;
        this.errMsg = errMsg;
    }

    @Override
    public Integer getCode() {
        return errCode;
    }

    @Override
    public String geterrMsg() {
        return errMsg;
    }
}
