package com.rshy.project.hy.server.vo;

import lombok.Data;

/**
 * @author: lileilei
 * @date: 2022/4/20 10:13
 * @description: 依图第三方接口返回参数
 */
@Data
public class RetrievaResultVO {
    /**
     * 返回值(rtn)说明： 0 表示此次请求成功 < 0 表示服务器端错误 > 0 表示请求错误 -1 表示服务器暂时不可用, 需要进行重试 1 表示无法访问资源，
     * 返回的 message 的格式: xxx not exist (无法访问可能是资源不 存在也可能是没有权限)
     * 2 表示缺少必填字段(举例:修改库的接口要求用户必须输入库 id，但是请求的参数中没有 这个字段) 返回 message 格式: mandatory field xxx is not included
     * 3 表示字段输入不符合限制，返回 message 格式: xxx is out of range
     */
    private Integer rtn;
    private String message;
    private String session_id;
    private String retrieval_query_id;
    private Object results;
    private Integer total;
}
