package com.rshy.project.hy.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.rshy.project.hy.mapper.RshyJkMapper;
import com.rshy.project.hy.model.entity.RshyJk;
import com.rshy.project.hy.service.RshyJkService;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Service;
import org.springframework.util.CollectionUtils;

import java.util.List;

/**
 * <p>
 * 服务实现类
 * </p>
 *
 * @author xiaopi
 * @since 2022-03-07
 */
@Service
public class RshyJkServiceImpl extends ServiceImpl<RshyJkMapper, RshyJk> implements RshyJkService {


    @Override
    public List<RshyJk> getRshyJkAll() {
        LambdaQueryWrapper<RshyJk> wrapper = new LambdaQueryWrapper<>();
        wrapper.eq(RshyJk::getErrCount, 0);
        return list(wrapper);
    }

    @Override
    public List<RshyJk> getRshyError() {
        LambdaQueryWrapper<RshyJk> wrapper = new LambdaQueryWrapper<>();
        wrapper.eq(RshyJk::getErrCount, 1);
        return list(wrapper);
    }

    @Override
    public List<RshyJk> getInterfaceAll() {
        return list();
    }

    @Override
    public Boolean upInterfaceTimeOut(String time) {
        if (StringUtils.isBlank(time)) {
            return false;
        }
        List<RshyJk> list = list();
        if (CollectionUtils.isEmpty(list)) {
            return false;
        }
        list.forEach(rshyJk -> {
            rshyJk.setTimeOut(time);
        });
        return updateBatchById(list);
    }
}
