package com.rshy.project.hy.web.controller;


import cn.hutool.core.util.IdcardUtil;
import cn.hutool.core.util.StrUtil;
import com.github.xiaoymin.knife4j.annotations.ApiOperationSupport;
import com.rshy.project.hy.baseRe.BaseException;
import com.rshy.project.hy.baseRe.ResultCode;
import com.rshy.project.hy.baseRe.Ret;
import com.rshy.project.hy.server.param.IdphotoParam;
import com.rshy.project.hy.service.IdentityService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author fanqun
 * @since 2022-06-11
 */
@RestController
@Api(tags = "身份信息控制层", hidden = true)
@RequestMapping("/identity")
public class IdentityController {
    @Resource
    private IdentityService identityService;

    @ApiModelProperty(value = "保存证件照片")
    @ApiOperationSupport(order = 900)
    @PostMapping("/savePhoto")
    public Ret<?> savePhoto(@RequestBody IdphotoParam body) {
        if (StrUtil.isBlank(body.getSfzh()) && !IdcardUtil.isValidCard(body.getSfzh())) {
            throw new BaseException(ResultCode.INVALID_ID_NUMBER);
        }
        identityService.savePhoto(body.getSfzh(), body.getPhoto());
        return Ret.success(null);
    }

}

